import { ElementRef, EventEmitter, OnDestroy, AfterViewInit, OnChanges, SimpleChanges } from '@angular/core';
import { SafeHtml } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare class TextEditorComponent implements OnDestroy, AfterViewInit, OnChanges {
    value: string;
    valueChange: EventEmitter<string>;
    editable: boolean;
    isRTE: boolean | undefined;
    sectionId?: string;
    label?: string;
    type?: string;
    inputTextIndex?: number;
    itemIndex?: number;
    editorElement: ElementRef;
    private platformId;
    private sanitizer;
    private _eventService;
    editor: any;
    safeHtml: SafeHtml;
    selectedFontSize: string;
    showToolbar: boolean;
    toolbarX: number;
    toolbarY: number;
    selectedColor: string;
    primaryColor: string;
    secondaryColor: string;
    isColorPickerOpen: boolean;
    selectedColorType: 'SOLID' | 'GRADIENT';
    savedSelection: any;
    isFontSizeMenuOpen: boolean;
    toolbarData: any;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): Promise<void>;
    ngOnDestroy(): void;
    updateSafeHtml(): void;
    initializeEditor(): Promise<void>;
    updateEmptyEditorClass(): void;
    saveSelection(): void;
    restoreSelection(): void;
    switchToSolid(event: Event): void;
    switchToGradient(event: Event): void;
    openColorPicker(): void;
    handleWindowFocus: () => void;
    handleSelection(): void;
    toggleBold(): void;
    toggleItalic(): void;
    toggleUnderline(): void;
    toggleOrderedList(): void;
    toggleBulletList(): void;
    setAlign(alignment: 'left' | 'center' | 'right'): void;
    changeColor(): void;
    applyGradient(): void;
    onHostClick(): void;
    onMouseDown(event: MouseEvent): void;
    changeFontSize(fontSize: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextEditorComponent, "simpo-text-editor", never, { "value": { "alias": "value"; "required": false; }; "editable": { "alias": "editable"; "required": false; }; "isRTE": { "alias": "isRTE"; "required": false; }; "sectionId": { "alias": "sectionId"; "required": false; }; "label": { "alias": "label"; "required": false; }; "type": { "alias": "type"; "required": false; }; "inputTextIndex": { "alias": "inputTextIndex"; "required": false; }; "itemIndex": { "alias": "itemIndex"; "required": false; }; }, { "valueChange": "valueChange"; }, never, never, true, never>;
}
